18 18
50
pnn
pnppplnlpnnllpplnn
pllnpppl
llpppplnppnnppnlp
lln
lplnnnlnplnn
nlllppllplppplll
lllppp
plplplpllpppnllll
ppplpnplnnpp
ppnpnnn
nnnnpnnppnnnnpn
npllnppnnl
pnpnl
pnpll
npll
lnlnlpppplpnplpnp
npnlnnlnllpplpp
nlplpp
nnppnllppllpnnll
ppnlnlnplnllnl
pnplplplllpnnp
lpnnppnlppnnn
ppnlpnp
nplnpnpnll
nppplpppn
nlpnllpnp
lpnnllnnlnnlplll
plnlnlpn
lnlnlllnlnlnplp
lplnl
ppnplppplpnnnll
nnpppn
pppnpllpp
lpllnplnlnnlnlnp
nnn
llpnnpnnpnp
pnlpnnnplpl
nllpnnpnppllnpnlnn
nlppnpnllnnl
nlnpplnnpnnlnllpn
llnppnllnnnnlnnn
nppnnnpnppnnnnp
llpnnpnllplplnlnpp
nnpplpnppnnlpplplp
lpnlnnnppnnpnlnlln
llpplnlnnnnpp
pppnpnnnlpplnnnl
ppnllln
lpp
